#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
  #instance.ipAddress: 192.168.110.50  # 指定此实例的ip

spring:
  application:
    name: upcloud-base-wh-operate
  #redis配置
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    addresses: 192.168.1.17:5672,192.168.1.18:5672,192.168.1.19:5672
    username: common
    password: prolog-mq-20191229
    virtual-host: /upcloud
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.1.11:1521:orcl
    username: upcloud_biz_wh_operate
    password: upcloud_biz_wh_operate
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    dialect: oracle
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: admin
    password: prolog-mq-20191229
    host: 192.168.1.18
  service:
    item: upcloud-base-item
    inventory: upcloud-base-inventory
    warehouse: upcloud-base-wh
    platform-power: service-platform-power-base
    strategy: upcloud-base-strategy
    common: upcloud-base-common
    chain: upcloud-base-chain
    control: upcloud-base-wh-control
    outbound: upcloud-base-wh-outbound
    gsp: upcloud-base-gsp
    inbound: upcloud-base-wh-inbound
    integration : service-integration
  integration:
    url: http://localhost:80800/http/service
    token:
    instockTransforId: 284
    instockCallId: 288
    instockCallStatusId: 301
    sendAgv: 282
    sendWms: 291
    updateAgvStatus: 293
    zftFlag: false
    countSheetId: 299
    countSheetInId: 300
    countSheetOutId: 301
  tx:
    url: "http://192.168.1.21:7000/tx/manager/"
  serarch:
    url: "http://service-data-api-base/search"
logging:
  config: classpath:log4j2-prod.xml
  level.root: info
